Issue1557

classification
Title: Jython.bat doesn't work in 4nt
Type: behaviour Severity: normal
Components: Any Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: otmarhumbel, stuaxo
Priority: Keywords:

Created on 2010-02-16.03:34:26 by stuaxo, last changed 2010-04-18.10:00:25 by otmarhumbel.

Messages
msg5535 (view) Author: stu (stuaxo) Date: 2010-02-16.03:34:25
Jython.bat doesn't work in 4nt, I fixed it by getting it to run in cmd.exe all the time by prepending the following to jython.bat:


@echo off
if not "%@eval[2+2]" == "4" goto normalstart
:: If running in 4NT, force to run in cmd.exe
cmd /C %0 %*
goto finish

:normalstart
msg5536 (view) Author: stu (stuaxo) Date: 2010-02-16.03:36:01
OOPS - Sorry if this is a duplicate, I went into 'Your Issues' and saw it wasn't there from before.

However I've gone in there again just now and I still have none, doh.
msg5734 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-04-18.10:00:24
applied the suggested patch to jython.bat in revision 7036.
Many thanks stuaxo!
History
Date User Action Args
2010-04-18 10:00:25otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg5734
2010-04-16 21:42:34otmarhumbelsetassignee: otmarhumbel
nosy: + otmarhumbel
2010-02-16 03:36:01stuaxosetmessages: + msg5536
2010-02-16 03:34:26stuaxocreate